import React from 'react';

// import stysheet defining style specific to this component
import '../style/person.css';

/*
* define a component that uses props, props is a javascript object
* reminder : in jsx, code inside {} is javascript interpreted code
*/
const Person = ( { name = 'Anonymous' , age } ) => {

   const year_or_years = age > 1 ? 'years' : 'year';
   const ADULT_AGE = 18;
   const childOrNot =  age => age < ADULT_AGE ? 'young' : 'adult' ;

   return (
      <div className="person">Here is the <span>{childOrNot(age)}</span>:
         <div>name : <span>{ name }</span> </div>
         <div>age  : <span>{age} {year_or_years} </span>  </div>
      </div>
   );
}
export default Person;
